CharUtils (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.math.linearalgebra

## Class CharUtils

- java.lang.Object
- - org.bouncycastle.pqc.math.linearalgebra.CharUtils

-     public final class CharUtils
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char[]` | `clone(char[] array)` Return a clone of the given char array.
    `static boolean` | `equals(char[] left, char[] right)` Compare two char arrays.
    `static byte[]` | `toByteArray(char[] chars)` Convert the given char array into a byte array.
    `static byte[]` | `toByteArrayForPBE(char[] chars)` Convert the given char array into a byte array for use with PBE encryption.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public static char[] clone(char[] array)

      Return a clone of the given char array. No null checks are performed.
      Parameters:
        `array` - the array to clone
      Returns:
        the clone of the given array

    - #### toByteArray

          public static byte[] toByteArray(char[] chars)

      Convert the given char array into a byte array.
      Parameters:
        `chars` - the char array
      Returns:
        the converted array

    - #### toByteArrayForPBE

          public static byte[] toByteArrayForPBE(char[] chars)

      Convert the given char array into a byte array for use with PBE encryption.
      Parameters:
        `chars` - the char array
      Returns:
        the converted array

    - #### equals

          public static boolean equals(char[] left,
                       char[] right)

      Compare two char arrays. No null checks are performed.
      Parameters:
        `left` - the char byte array
        `right` - the second char array
      Returns:
        the result of the comparison